import { StyleSheet } from 'react-native'
import appColors from '../../../../../theme/appColors'
import appFonts from '../../../../../theme/appFonts'
import {
  fontSizes,
  windowHeight,
  windowWidth,
} from '../../../../../theme/appConstant'

const styles = StyleSheet.create({
  mainBalance: {
    marginTop: windowHeight(2.5),
    borderRadius: windowWidth(5),
    overflow: 'hidden',
    marginHorizontal: windowWidth(4),
    maxHeight: windowHeight(45),
    backgroundColor: appColors.white,
    borderWidth: windowWidth(0.45),
    marginBottom: windowHeight(0.5),
  },
  walletImage: {
    height: windowHeight(19.3),
    width: '90%',
    borderRadius: windowHeight(1),
    resizeMode: 'stretch',
    marginTop: windowHeight(2.5),
    alignSelf: 'center',
  },
  subBalance: {
    position: 'absolute',
    height: windowHeight(6),
    width: '100%',
    justifyContent: 'space-between',
  },
  balanceView: {
    borderRadius: windowHeight(1),
    justifyContent: 'center',
    marginVertical: windowHeight(1.4),
    marginTop: windowHeight(5),
    marginBottom: 0,
  },
  balanceTitle: {
    color: appColors.iconColor,
    fontSize: fontSizes.FONT4,
    marginBottom: windowHeight(0.1),
    fontFamily: appFonts.regular,
  },
  totalBalance: {
    fontSize: fontSizes.FONT6,
    color: appColors.black,
    fontFamily: appFonts.bold,
  },
  topupBtn: {
    height: windowHeight(5),
    width: windowWidth(20),
    backgroundColor: appColors.white,
    borderRadius: windowHeight(1),
    alignItems: 'center',
    justifyContent: 'center',
    marginVertical: windowHeight(3),
    marginHorizontal: windowWidth(4),
  },
  topupTitle: {
    color: appColors.primary,
    fontFamily: appFonts.medium,
  },
  dashLine: {
    borderBottomWidth: windowHeight(0.1),
    borderStyle: 'dashed',
    borderColor: appColors.secondaryFont,
    marginHorizontal: windowWidth(4),
    bottom: windowHeight(1),
    width: '88%',
    alignSelf: 'center',
  },
})
export default styles
